put
https://api.gomotive.com/v1/dispatches
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Purpose: Use this API to update an existing dispatch.
UPDATE - Team Dispatches
This endpoint now supports multiple authorized drivers on a trip while still preserving a single active
driver_idfor ownership/write behavior. Check the Sample Request Body section for info on the request parameters.
NOTE
You must pass the below JSON object along with the body parameters. Below is the format of a request body.
Things to remember:
- To update an existing dispatch, you must send the entire dispatch again with the updated information.
- To add a dispatch stop, send the dispatch again with the stop information.
- To remove a dispatch stop, send the dispatch again without the stop information.
Sample Request Body
{
// All dispatch level information here. Refer to table above to see complete list of attributes.
"vendor_id":1,
// information to update
"status":"active",
"shipper_type":"station"
// Array of dispatch stops. Can be empty or can have any number of additional stops
"dispatch_stops":[
{
// All dispatch stop information here. Refer to table above to see complete list of attributes.
"vendor_id":"ghi-1",
// information to update
"type":"pickup",
"number":1,
"driver_load":true,
},
]
}
{
"dispatches": [
{
"id": 43686,
"order_number": "574869",
"status": "planned",
"dispatch_team_driving_enabled_v1": true,
"dispatch_trips": [
{
"id": 31911,
"driver_id": 4713870,
"co_drivers": [
4713860,
4713870,
4713880
],
"vehicle_id": 1320960,
"dispatch_stops": [
{
"dispatch_stop": {
"id": 42,
"vendor_id": "VDS-1",
"bill_of_lading": null,
"comments": null,
"driver_load": false,
"early_date": "2017-07-13T19:13:00+00:00",
"form_ids": [
"0b90adf8-2321-4198-9315-5fb57e155c15",
"2a00385b-7de3-48b2-9bfc-842eb168e535",
"fff80dfb-dda9-4502-8ca6-6c69fa6d70d6"
]
}
}
]
}
]
}
]
}
Response Parameters
dispatches
- Type: Array of Objects
- Description: List of dispatches.
dispatch
- Type: Object
- Description: Information about a specific dispatch.
id
- Type: Integer
- Description: Unique identifier for the dispatch.
vendor_id
- Type: String
- Description: Vendor identifier associated with the dispatch.
vendor_shipper_id
- Type: String
- Description: Vendor shipper identifier.
vendor_consignee_id
- Type: String
- Description: Vendor consignee identifier.
driver_id
- Type: Integer
- Description: Unique identifier for the driver associated with the dispatch.
vehicle_id
- Type: Integer
- Description: Unique identifier for the vehicle associated with the dispatch.
additional_drops
- Type: Integer
- Description: Number of additional drop-off locations.
additional_pickups
- Type: Integer
- Description: Number of additional pickup locations.
consignee_bill_of_lading
- Type: String
- Description: Bill of lading number provided by the consignee.
consignee_comments
- Type: String
- Description: Comments provided by the consignee.
consignee_driver_load
- Type: Boolean
- Description: Indicates if the consignee will load the driver.
consignee_form_ids
- Type: Array of Strings
- Description: List of form IDs associated with the consignee.
consignee_pallets
- Type: Integer
- Description: Number of pallets handled by the consignee.
consignee_pieces
- Type: Integer
- Description: Number of pieces handled by the consignee.
consignee_refno
- Type: String
- Description: Reference number provided by the consignee.
consignee_status
- Type: String
- Description: Status of the consignee (e.g., "departed").
consignee_type
- Type: String
- Description: Type of consignee (e.g., "DROPOFF").
consignee_volume
- Type: Float
- Description: Volume of goods handled by the consignee (if available).
consignee_weight
- Type: Float
- Description: Weight of goods handled by the consignee.
delivery_early_date
- Type: String
- Description: Earliest date for delivery.
delivery_late_date
- Type: String
- Description: Latest date for delivery.
loaded_miles
- Type: Integer
- Description: Loaded miles for the dispatch.
order_pieces
- Type: Integer
- Description: Number of pieces in the order (if available).
order_volume
- Type: Float
- Description: Volume of the order (if available).
order_weight
- Type: Float
- Description: Weight of the order (if available).
pickup_early_date
- Type: String
- Description: Earliest date for pickup.
pickup_late_date
- Type: String
- Description: Latest date for pickup.
pickup_number
- Type: String
- Description: Pickup number for the dispatch.
product
- Type: String
- Description: Product being shipped.
shipper_bill_of_lading
- Type: String
- Description: Bill of lading number provided by the shipper.
shipper_comments
- Type: String
- Description: Comments provided by the shipper.
shipper_driver_load
- Type: Boolean
- Description: Indicates if the shipper will load the driver.
shipper_form_ids
- Type: Array of Strings
- Description: List of form IDs associated with the shipper.
shipper_pallets
- Type: Integer
- Description: Number of pallets handled by the shipper.
shipper_pieces
- Type: Integer
- Description: Number of pieces handled by the shipper.
shipper_status
- Type: String
- Description: Status of the shipper (e.g., "departed").
shipper_type
- Type: String
- Description: Type of shipper (e.g., "PICKUP").
shipper_volume
- Type: Float
- Description: Volume of goods handled by the shipper (if available).
shipper_weight
- Type: Float
- Description: Weight of goods handled by the shipper.
status
- Type: String
- Description: Overall status of the dispatch (e.g., "completed").
temperature_max
- Type: Float
- Description: Maximum temperature for the dispatch.
temperature_min
- Type: Float
- Description: Minimum temperature for the dispatch.
trailer
- Type: String
- Description: Trailer information.
shipper_dispatch_location_id
- Type: Integer
- Description: Unique identifier for the shipper's dispatch location.
consignee_dispatch_location_id
- Type: Integer
- Description: Unique identifier for the consignee's dispatch location.
vendor_shipper_dispatch_location_id
- Type: String
- Description: Vendor's shipper dispatch location identifier.
vendor_consignee_dispatch_location_id
- Type: String
- Description: Vendor's consignee dispatch location identifier.
custom_field1
- Type: Mixed
- Description: Custom field 1 (if available).
dispatch_stops
- Type: Array of Objects
- Description: List of stops associated with the dispatch.
dispatch_stop
- Type: Object
- Description: Information about a specific stop within a dispatch.
id (dispatch_stop)
- Type: Integer
- Description: Unique identifier for the dispatch stop.
vendor_id (dispatch_stop)
- Type: String
- Description: Vendor identifier associated with the dispatch stop.
bill_of_lading
- Type: String
- Description: Bill of lading number for the dispatch stop.
comments
- Type: String
- Description: Comments for the dispatch stop.
driver_load
- Type: Boolean
- Description: Indicates if the driver will load at this stop.
early_date
- Type: String
- Description: Earliest date for the stop.
form_ids
- Type: Array of Strings
- Description: List of form IDs associated with the stop.
late_date
- Type: String
- Description: Latest date for the stop.
number
- Type: Integer
- Description: Stop number in the sequence.
pallets_in
- Type: Integer
- Description: Number of pallets received at this stop.
pallets_out
- Type: Integer
- Description: Number of pallets delivered at this stop.
pieces
- Type: Integer
- Description: Number of pieces handled at this stop.
status (dispatch_stop)
- Type: String
- Description: Status of the dispatch stop (e.g., "available").
type
- Type: String
- Description: Type of stop (e.g., "PU" for pickup).
volume
- Type: Float
- Description: Volume of goods handled at this stop.
weight
- Type: Float
- Description: Weight of goods handled at this stop.
custom_field1 (dispatch_stop)
- Type: Mixed
- Description: Custom field 1 for the stop (if available).
dispatch_location_id
- Type: Integer
- Description: Unique identifier for the dispatch location associated with the stop.
vendor_dispatch_location_id
- Type: String
- Description: Vendor's dispatch location identifier for the stop.
